Piloterr

Google Images

Google Images Scraper API – bringing the power of visual search to your fingertips.

Credit cost: 1 credit per call

GET
/v2/google/images

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

The image search query to execute on Google Images.

Example:

mountain landscape
gl?string

Two-letter country code for the Google image search country context.

  • us: United States (default)
  • fr: France
  • gb: United Kingdom
  • de: Germany

Example:

us
Default"us"
hl?string

Two-letter language code for the Google interface language. Controls the language context of the image search.

  • en: English (default)
  • fr: French
  • de: German
  • es: Spanish

Example:

en
Default"en"
page?number

Page number for pagination. Images are returned in batches of 100 per page.

  • 1: First 100 images (default)
  • 2: Next 100 images
  • 3: Next 100 images, etc.

Note: To retrieve additional images, increment this parameter with the same query.

Default"1"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/google/images?query=string"

{
  "images": [
    {
      "url": "https://thumbs.dreamstime.com/b/stunning-mountain-landscape-crystal-clear-flowing-stream-breathtaking-photo-realistic-scene-majestic-lush-358650506.jpg",
      "link": "https://www.dreamstime.com/stunning-mountain-landscape-crystal-clear-flowing-stream-breathtaking-photo-realistic-scene-majestic-lush-image358650506",
      "title": "Stunning Mountain Landscape with a Crystal Clear Flowing Stream",
      "domain": "www.dreamstime.com",
      "source": "Dreamstime.com",
      "position": 1,
      "image_width": 800,
      "image_height": 449
    },
    {
      "url": "https://images.stockcake.com/public/8/8/9/889c1161-ac90-403a-b63f-23d708e67520_large/sunset-mountain-landscape-stockcake.jpg",
      "link": "https://www.pexels.com/photo/mountain-landscape-with-forests-and-a-stream-18682254/",
      "title": "Mountain Landscape with Forests and a Stream",
      "domain": "www.pexels.com",
      "source": "Pexels",
      "position": 2,
      "image_width": 728,
      "image_height": 408
    },
    {
      "url": "https://images.pexels.com/photos/18682254/pexels-photo-18682254/free-photo-of-mountain-landscape-with-forests-and-a-stream.jpeg",
      "link": "https://www.dreamstime.com/photos-images/mountain-landscape-canada.html",
      "title": "Mountain Landscape Canada Stock Photos",
      "domain": "www.dreamstime.com",
      "source": "Dreamstime.com",
      "position": 3,
      "image_width": 4032,
      "image_height": 3024
    }
  ],
  "search_parameters": {
    "q": "mountain landscape",
    "gl": "us",
    "hl": "en",
    "page": 1,
    "engine": "google"
  }
}

{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}